Package com.independentsoft.office.odf

# Class IndexTitleTemplate

java.lang.Object
com.independentsoft.office.odf.IndexTitleTemplate

public class IndexTitleTemplate extends Object
Represents the style and content of the index title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexTitleTemplate()`
  Initializes a new instance of the IndexTitleTemplate class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IndexTitleTemplate`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getStyle()`
  Gets the character family styles.
  `String`
  `getValue()`
  Gets the text content.
  `void`
  `setStyle​(String style)`
  Sets the character family styles.
  `void`
  `setValue​(String value)`
  Sets the text content.
  `String`
  `toString()`
  Converts the value of the current IndexTitleTemplate object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IndexTitleTemplate

    public IndexTitleTemplate()
    Initializes a new instance of the IndexTitleTemplate class.

- ## Method Details

  - ### clone

    public IndexTitleTemplate clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current IndexTitleTemplate object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public String getStyle()
    Gets the character family styles.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the character family styles.
    Parameters:
      `style` - the new style

  - ### getValue

    public String getValue()
    Gets the text content.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the text content.
    Parameters:
      `value` - the new value